Loading...
Searching...
No Matches
Opm::HardcodedTimeStepControl Class Reference

HardcodedTimeStepControl Input generated from summary file using the ert application: More...

`#include <TimeStepControl.hpp>`

Inheritance diagram for Opm::HardcodedTimeStepControl:

## Public Member Functions

| HardcodedTimeStepControl (const std::string &filename)
| constructor
double | computeTimeStepSize (const double dt, const int, const RelativeChangeInterface &, const AdaptiveSimulatorTimer &substepTimer) const override
| compute new time step size suggestions based on the PID controller
bool | timeStepAccepted (const double, const double) const override
| For the general 3rd order controller, the internal shifting of errors and time steps happens here, and hence this method needs to be called for (after) each time step.
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const HardcodedTimeStepControl &) const
Public Member Functions inherited from Opm::TimeStepControlInterface
virtual | ~TimeStepControlInterface ()
| virtual destructor (empty)

## Static Public Member Functions

static HardcodedTimeStepControl | serializationTestObject ()

## Static Public Attributes

static constexpr TimeStepControlType | Type = TimeStepControlType::HardCodedTimeStep

## Protected Attributes

std::vector< double > | subStepTime_

## Detailed Description

HardcodedTimeStepControl Input generated from summary file using the ert application:

ecl_summary DECK TIME > filename

Assumes time is given in days

## Constructor & Destructor Documentation

## HardcodedTimeStepControl()

Opm::HardcodedTimeStepControl::HardcodedTimeStepControl | ( | const std::string & | filename | ) |

explicit

constructor

Parameters

  filename | filename contaning the timesteps

## Member Function Documentation

## computeTimeStepSize()

double Opm::HardcodedTimeStepControl::computeTimeStepSize | ( | const double | dt,
|  | const int | ,
|  | const RelativeChangeInterface & | ,
|  | const AdaptiveSimulatorTimer & | substepTimer ) const

override virtual

compute new time step size suggestions based on the PID controller

Parameters

  dt | time step size used in the current step
  iterations | number of iterations used (linear/nonlinear)
  relativeChange | Relative change handler
  substepTimer | Sub step timer

Returns
  suggested time step size for the next step

Parameters

  dt | Time step length
  substepTimer | Sub step timer

Implements Opm::TimeStepControlInterface.

## timeStepAccepted()

bool Opm::HardcodedTimeStepControl::timeStepAccepted | ( | const double | error,
|  | const double | timeStepJustCompleted ) const

inline override virtual

For the general 3rd order controller, the internal shifting of errors and time steps happens here, and hence this method needs to be called for (after) each time step.

Implements Opm::TimeStepControlInterface.

The documentation for this class was generated from the following files:

- opm/simulators/timestepping/TimeStepControl.hpp
- opm/simulators/timestepping/TimeStepControl.cpp